/*
 * Webcam.h
 *
 *  Created on: Apr 21, 2018
 *      Author: Yunyang
 */

#ifndef WEBCAM_H_
#define WEBCAM_H_
#include <opencv2/opencv.hpp>

class Webcam {
	std::unique_ptr<cv::VideoCapture> stream {new cv::VideoCapture{0}};
	cv::Mat frame;
	bool webcamConnected = false;
public:
	Webcam();
	virtual ~Webcam();

	void update();
	bool isConnected() const;
	cv::Mat getFrame() const;
};

#endif /* WEBCAM_H_ */
